Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 381883 - sys-apps/dbus-1.4.14: dbus init script should change opts variable to use either extra_commands or extra_started_commands
Summary: sys-apps/dbus-1.4.14: dbus init script should change opts variable to use eit...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Doug Goldstein
URL: http://dbus.freedesktop.org/
Whiteboard:
Keywords:
Depends on:
Blocks: init.d-depr-opts
  Show dependency tree
 
Reported: 2011-09-05 07:50 UTC by teidakankan
Modified: 2011-09-23 12:45 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge info (emerge_info.txt,15.80 KB, text/plain)
2011-09-05 07:50 UTC, teidakankan
Details
dbus.init-1.0.diff (dbus.init-1.0.diff,361 bytes, patch)
2011-09-14 22:15 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description teidakankan 2011-09-05 07:50:16 UTC
/etc/init.d/dbus restart
 * Use of the opts variable is deprecated and will be
 * removed in the future.
 * Please use extra_commands or extra_started_commands.


Reproducible: Always




Reference Bug #381635
Comment 1 teidakankan 2011-09-05 07:50:39 UTC
Created attachment 285591 [details]
emerge info
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2011-09-14 22:15:37 UTC
Created attachment 286477 [details, diff]
dbus.init-1.0.diff

possible fix
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2011-09-23 12:45:30 UTC
+  23 Sep 2011; Lars Wendler <polynomial-c@gentoo.org> files/dbus.init-1.0:
+  non-maintainer commit: Fixed warnings in init script (bug #381883).
+